System.ServiceModel 4.0.0.0 System.Object System.Runtime.Serialization.DataContract

This class is abstract and cannot be instantiated directly.

An abstract class used as a base class for other formatters, (for example, ).

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0

  A must have a associated with it. The can then write out the to an . The only way to associate a with a is by using this constructor.

  Creates a new instance of the class with the specified instance.

  The to write.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Verifies whether the specified contains a valid syndication item.

  true, if the XML reader contains a valid syndication item, otherwise false.

  An XML reader to check.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationCategory ``

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class using the specified instance.

  A new instance.

  The used to create the .
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink ``

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class.

  A new instance.

  The to use to create the new .
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationPerson ``

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance with the specified instance.

  A new instance.

  The instance used to create the new instance.
- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem To be added.

  A is associated with the by passing in a instance to the constructor.

  Gets the associated with the formatter.

- Method
  4.0.0.0
  System.Void `` `` ``

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

  The to read from. The to load the element extensions into. The maximum allowable size for an element extension (in bytes).
- Method
  4.0.0.0
  System.Void `` `` ``

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

  The to read from. The to load the element extensions into. The maximum allowable size for an element extension (in bytes).
- Method
  4.0.0.0
  System.Void `` `` ``

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

  The to read from. The to load the element extensions into. The maximum allowable size for an element extension (in bytes).
- Method
  4.0.0.0
  System.Void `` `` ``

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

  The to read from. The to load the element extensions into. The maximum allowable size for an element extension (in bytes).
- Method
  4.0.0.0
  System.Void ``

  Creates a new , associates it with the and reads the feed into the instance.

  Reads in a from the specified .

  The to read from.
- Method
  4.0.0.0
  System.Void ``

  This method is protected and cannot be called from user code. To associate a instance with a , either create a new instance and pass the constructor a instance or load a instance into the by calling .

  Associates a instance with the .

  The to associate with the .
- Method
  4.0.0.0
  System.String To be added.

  Gets a string representation of the instance.

  The instance.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` ``

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  A value that indicates whether the attribute was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The instance to use. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` ``

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  A value that indicates whether the attribute was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The instance to use. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` ``

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  A value that indicates whether the attribute was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The instance to use. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` ``

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  A value that indicates whether the attribute was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The instance to use. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` ``

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  A value that indicates whether the element was parsed successfully.

  The to read from. The instance to use. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` ``

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  A value that indicates whether the element was parsed successfully.

  The to read from. The instance to use. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` ``

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  A value that indicates whether the element was parsed successfully.

  The to read from. The instance to use. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` ``

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  A value that indicates whether the element was parsed successfully.

  The to read from. The instance to use. The syndication version to use when parsing.
- Property
  4.0.0.0
  System.String To be added.

  indigo2 supports the RSS 2.0 and Atom 1.0 specifications.

  Gets the syndication version of the formatter.

- Method
  4.0.0.0
  System.Void `` `` ``

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

  The to write the extensions to. The instance that contains the attribute extensions to be written. The syndication version to write the attribute extensions in.
- Method
  4.0.0.0
  System.Void `` `` ``

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

  The to write the extensions to. The instance that contains the attribute extensions to be written. The syndication version to write the attribute extensions in.
- Method
  4.0.0.0
  System.Void `` `` ``

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

  The to write the extensions to. The instance that contains the attribute extensions to be written. The syndication version to write the attribute extensions in.
- Method
  4.0.0.0
  System.Void `` `` ``

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

  The to write the extensions to. The instance that contains the attribute extensions to be written. The syndication version to write the attribute extensions in.
- Method
  4.0.0.0
  System.Void `` `` ``

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

  The to write the extensions to. The instance that contains the element extensions to be written. The syndication version the extensions are written in.
- Method
  4.0.0.0
  System.Void `` `` ``

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

  The to write the extensions to. The instance that contains the element extensions to be written. The syndication version the extensions are written in.
- Method
  4.0.0.0
  System.Void `` `` ``

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

  The to write the extensions to. The instance that contains the element extensions to be written. The syndication version the extensions are written in.
- Method
  4.0.0.0
  System.Void `` `` ``

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

  The to write the extensions to. The instance that contains the element extensions to be written. The syndication version the extensions are written in.
- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the to the specified instance.

  The to write the to.